Unstart a human review task assignment - SuperAI Flows

Unstart a human review task assignment

cURL

curl --request POST \
  --url https://flows.super.ai/api/human-review-tasks/{task_id}/unstart \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'

Python

import requests

url = "https://flows.super.ai/api/human-review-tasks/{task_id}/unstart"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/human-review-tasks/{task_id}/unstart', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Response

{
  "created_at": "2023-11-07T05:31:56Z",
  "flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modified_by": "<string>",
  "organization_id": "550e8400-e29b-41d4-a716-446655440000",
  "source_task_execution_idx": 0,
  "source_task_name": "process_document",
  "status": "pending",
  "target_task_execution_idx": 0,
  "target_task_name": "receive_file",
  "updated_at": "2023-11-07T05:31:56Z",
  "completed_at": "2024-01-01T00:00:00Z",
  "completed_by": "550e8400-e29b-41d4-a716-446655440000",
  "instructions": "Please review the document and verify all dates are correct.",
  "review_result": true,
  "reviewed_output": {
    "comments": "All dates are correct.",
    "verified": true
  },
  "task_metadata": {
    "priority": "high",
    "source": "api"
  }
}